Tag
Global Alignment Algorithms
Global alignment algorithm used by globalAlignment.
Include Headers
seqan/basic.h
Functions

globalAlignment | Computes the best global alignment of the two sequences.

Values

NeedlemanWunsch | Dynamic programming algorithm for alignments by Needleman and Wunsch.
BandedNeedlemanWunsch | The Needleman-Wunsch alignment algorithm in a banded version.
Gotoh | Gotoh's affine gap cost alignment algorithm.
BandedGotoh | Gotoh's affine gap cost alignment algorithm in a banded version.
MyersBitVector | Myers' bit vector alignment algorithm for edit distance. Note that this algorithm does not returns the alignment itself, but only computes the score.
MyersHirschberg | Myers' bit vector algorithm for edit distance combined with Hirschberg's linear space alignment algorithm.
Hirschberg | Hirschberg's linear space global alignment algorithm.
Lcs | Longest common subsequence algorithm.

See Also
Local Alignment Algorithms, bandedAlignment, globalAlignment
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:52